Page MenuHomePhabricator

1.31.0-wmf.1 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.31.0-wmf.1
Release Date
1506574800

2017 week 39 1.31-wmf.1 Changes wmf/1.31.0-wmf.1

This MediaWiki Train Deployment is scheduled for the week of Monday, September 25th:

Monday September 25thTuesday, September 26thWednesday, September 27thThursday, September 28thFriday
SWAT deployments only.Branch wmf.1 and deploy to Group 0 Wikis.Deploy wmf.1 to Group 1 Wikis.Deploy wmf.1 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.1 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.30.0-wmf.19
Next: 1.31.0-wmf.2

Event Timeline

mmodell created this task.Aug 8 2017, 6:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2017, 6:14 PM
demon claimed this task.Sep 9 2017, 8:48 PM
greg renamed this task from 1.30.0-wmf.20 deployment blockers to 1.31.0-wmf.1 deployment blockers.Sep 14 2017, 10:57 PM
greg changed Release Version from 1.30.0-wmf.20 to 1.31.0-wmf.1.
matmarex added a subscriber: matmarex.EditedSep 28 2017, 1:53 AM

Due to an issue with the patch for T48947, currently the personal links and page tabs on Hebrew Wikipedia and all RTL non-Wikipedia projects are reversed for anonymous users on some pages. These projects are now unavoidably messed up, even if we revert the train, until page HTML caches for them expire (or until we purge them, which would be a great thing to do if possible); but to save Arabic, Persian, etc. Wikipedia from it, we should probably halt the train. I left a longer explanation in T48947#3641618.

greg added a comment.Sep 28 2017, 5:24 PM

Status: the blocking task is not completely done (still need the cache busting), but it is no longer blocking the train. Thanks @matmarex

greg closed this task as Resolved.Oct 2 2017, 9:47 PM